<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <meta charset="utf-8"/>
        <title>JavaScript:AJAX 網路連線服務</title>
    </head>
    <body>
        <h3>AJAX / XHR 網路連線服務實務</h3>
        <button onclick="getData();">連線取得資料</button>
        
        <div id="result"></div>

        <script>
            /*
                測試用的連線網址:
                https://cwpeng.github.io/live-records-samples/data/products.json
            */
            function getData(){
                //利用fetch進行連線並取得資料
                fetch("https://cwpeng.github.io/live-records-samples/data/products.json").then(function(response){
                    return response.json();
                }).then(function(data){
                    //已經取得資料，把資料呈現到畫面上
                    let result = document.querySelector("#result");

                    result.innerHTML=""; //先把畫面清空

                    for(let i=0;i<data.length;i++){
                        let product = data[i];
                        /*
                        console.log(product);
                        console.log('----');
                        console.log(product.name);
                        console.log("----");
                        console.log(product.price);
                        console.log("----");
                        console.log(product.description);
                        */
                        result.innerHTML+="<div>"+product.name+","+product.price+","+product.description+"</div>";
                    }

                    console.log(data);
                });
            }
        </script>
    </body>
</html>